# Uses of Class
org.apache.sling.jcr.contentloader.LocalRestriction

Packages that use LocalRestriction
Package
Description
org.apache.sling.jcr.contentloader
org.apache.sling.jcr.contentloader.internal.readers

## Uses of LocalRestriction in org.apache.sling.jcr.contentloader

Methods in org.apache.sling.jcr.contentloader that return types with arguments of type LocalRestriction
Modifier and Type
Method
Description
`Set<LocalRestriction>`
LocalPrivilege.`getAllowRestrictions()`
`Set<LocalRestriction>`
LocalPrivilege.`getDenyRestrictions()`
Method parameters in org.apache.sling.jcr.contentloader with type arguments of type LocalRestriction
Modifier and Type
Method
Description
`void`
LocalPrivilege.`setAllowRestrictions(Set<LocalRestriction> allowRestrictions)`
`void`
LocalPrivilege.`setDenyRestrictions(Set<LocalRestriction> denyRestrictions)`

## Uses of LocalRestriction in org.apache.sling.jcr.contentloader.internal.readers

Methods in org.apache.sling.jcr.contentloader.internal.readers that return types with arguments of type LocalRestriction
Modifier and Type
Method
Description
`protected Set<LocalRestriction>`
JsonReader.`toLocalRestrictions(jakarta.json.JsonObject allowOrDenyObj, Map<String,org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition> srMap, javax.jcr.ValueFactory vf)`
Construct a LocalRestriction using data from the json object